//---------------------------------------------------------------------------

#ifndef MainFrmH
#define MainFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "KMTimeLine.hpp"
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ExtDlgs.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TSplitter *Splitter1;
	TPaintBox *OutputPaint;
	TKMTimeLinePanel *KMTimeLinePanel1;
	TImageList *ImageList1;
	TOpenPictureDialog *OpenPicDlg;
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *InsertImageItem1;
	TMenuItem *InsertFXItem1;
	TMenuItem *DeleteItem1;
	TMenuItem *N1;
	TMenuItem *Playentirecontents1;
	TMenuItem *Playmarkedcontents1;
	TMenuItem *RealTimeProcessing1;
	TMenuItem *Stopplaying1;
	TMenuItem *N2;
	TMenuItem *LoadContents1;
	TMenuItem *SaveContents1;
	TMenuItem *Exit1;
	TMenuItem *Help1;
	TMenuItem *About1;
	TOpenDialog *OpenDlg;
	TSaveDialog *SaveDlg;
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall KMTimeLinePanel1ProcessFinished(TObject *Sender);
	void __fastcall KMTimeLinePanel1ToolbarBtnClick(
          TKMLbSpeedButton *theSpButton, int Index);
	void __fastcall KMTimeLinePanel1ProcessTrackItems(TObject *Sender,
          Extended theTimePos, const TKMTrackItemArr theItemArr,
          const TKMTrackItemTimeArr theItemTime);
	void __fastcall Splitter1Moved(TObject *Sender);
	void __fastcall FormResize(TObject *Sender);
	void __fastcall OutputPaintPaint(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall InsertImageItem1Click(TObject *Sender);
	void __fastcall InsertFXItem1Click(TObject *Sender);
	void __fastcall DeleteItem1Click(TObject *Sender);
	void __fastcall Playentirecontents1Click(TObject *Sender);
	void __fastcall Playmarkedcontents1Click(TObject *Sender);
	void __fastcall RealTimeProcessing1Click(TObject *Sender);
	void __fastcall Stopplaying1Click(TObject *Sender);
	void __fastcall LoadContents1Click(TObject *Sender);
	void __fastcall SaveContents1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
private:	// User declarations
	Graphics::TBitmap* FOutputImg;
	bool FRelTimeProcessing;
	//
	void __fastcall InsertImageItem(void);
	void __fastcall InsertFXItem(void);
	void __fastcall DeleteItem(void);
	void __fastcall StartPlay(void);
	void __fastcall StartPlaySelection(void);
	void __fastcall StopPlay(void);
	void __fastcall LoadContents(bool bFromIni = false);
	void __fastcall SaveContents(void);
	//
	void __fastcall PrepareOutputImage(void);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
